﻿.video_container {
    display: grid;
    padding: 1rem;
}

.video_container_category {
    font-size: 3rem;
    font-weight: 600;
    text-transform: uppercase;
    padding: 0.5rem;
}

.video_container_body {
    display: grid;
    grid-template-columns: repeat(3,1fr);
    grid-gap: 1rem;
    margin: 0 8% 4%;
}

.video_container_body_box {
    box-shadow: 10px 10px 33px -6px;
    border-radius: 1.5rem;
    background-color: rgba(185,232,234,0.3)
}

.video_container_body_box_video {
    display: grid;
    grid-template-rows: auto auto;
    padding: 1rem;
    grid-gap: 1rem
}

.video_container_body_box_video_details {
    display: grid;
    grid-template-columns: 15% 85%
}

.video_container_body_box_video_details_logo {
    width: 4rem;
    border-radius: 3rem;
    grid-area: span 2 / 1 / 2;
}

.video_container_body_box_video_details_name {
    font-size: 1.8rem;
    font-weight: 600;
    line-height: 2.2rem;
    max-height: 4.4rem;
    color: black;
}

video_container_body_box_video_details_description {
    padding: 0.5rem;
    font-size: 1.5rem;
}


/* 


[data-tooltip] {
    position: relative;
    
}


    [data-tooltip]:before,
    [data-tooltip]:after {
        position: absolute;
        visibility: hidden;
        opacity: 0;
        left: 50%;
        bottom: calc(100% + 5px);
        pointer-events: none;
        transition: 0.2s;
        will-change: transform;
    }


    [data-tooltip]:before {
        content: attr(data-tooltip);
        padding: 10px 18px;
        min-width: 50px;
        max-width: 300px;
        width: max-content;
        width: -moz-max-content;
        border-radius: 6px;
        font-size: 14px;

        background-color: rgba(59, 72, 80, 0.9);
        background-image: linear-gradient(30deg, rgba(59, 72, 80, 0.44), rgba(59, 68, 75, 0.44), rgba(60, 82, 88, 0.44));
        box-shadow: 0px 0px 24px rgba(0, 0, 0, 0.2);
        color: #fff;
        text-align: center;
        white-space: pre-wrap;
        transform: translate(-50%, -5px) scale(0.5);
    }

 
    [data-tooltip]:after {
        content: '';
        border-style: solid;
        border-width: 5px 5px 0px 5px;
        border-color: rgba(55, 64, 70, 0.9) transparent transparent transparent;
        transition-duration: 0s; 
        transform-origin: top;
                              
        transform: translateX(-50%) scaleY(0);
    }

    [data-tooltip]:hover:before,
    [data-tooltip]:hover:after {
        visibility: visible;
        opacity: 1;
    }

    [data-tooltip]:hover:before {
        transition-delay: 0.3s;
        transform: translate(-50%, -5px) scale(1);
    }

    [data-tooltip]:hover:after {
        transition-delay: 0.5s; 
        transition-duration: 0.2s;
        transform: translateX(-50%) scaleY(1);
    }
/*
  That's it.
*/





/*

[data-tooltip-location="left"]:before,
[data-tooltip-location="left"]:after {
    left: auto;
    right: calc(100% + 5px);
    bottom: 50%;
}


[data-tooltip-location="left"]:before {
    transform: translate(-5px, 50%) scale(0.5);
}

[data-tooltip-location="left"]:hover:before {
    transform: translate(-5px, 50%) scale(1);
}


[data-tooltip-location="left"]:after {
    border-width: 5px 0px 5px 5px;
    border-color: transparent transparent transparent rgba(55, 64, 70, 0.9);
    transform-origin: left;
    transform: translateY(50%) scaleX(0);
}

[data-tooltip-location="left"]:hover:after {
    transform: translateY(50%) scaleX(1);
}




[data-tooltip-location="right"]:before,
[data-tooltip-location="right"]:after {
    left: calc(100% + 5px);
    bottom: 50%;
}

[data-tooltip-location="right"]:before {
    transform: translate(5px, 50%) scale(0.5);
}

[data-tooltip-location="right"]:hover:before {
    transform: translate(5px, 50%) scale(1);
}

[data-tooltip-location="right"]:after {
    border-width: 5px 5px 5px 0px;
    border-color: transparent rgba(55, 64, 70, 0.9) transparent transparent;
    transform-origin: right;
    transform: translateY(50%) scaleX(0);
}

[data-tooltip-location="right"]:hover:after {
    transform: translateY(50%) scaleX(1);
}




[data-tooltip-location="bottom"]:before,
[data-tooltip-location="bottom"]:after {
    top: calc(100% + 5px);
    bottom: auto;
}

[data-tooltip-location="bottom"]:before {
    transform: translate(-50%, 5px) scale(0.5);
}

[data-tooltip-location="bottom"]:hover:before {
    transform: translate(-50%, 5px) scale(1);
}

[data-tooltip-location="bottom"]:after {
    border-width: 0px 5px 5px 5px;
    border-color: transparent transparent rgba(55, 64, 70, 0.9) transparent;
    transform-origin: bottom;
}

    */
.main-section {
    width: 80%;
    margin: 0 auto;
    text-align: center;
    padding: 0px 5px;
}

.dashbord {
    width: 32%;
    display: inline-block;
    background-color: #34495E;
    color: #fff;
    margin-top: 50px;
}

.icon-section i {
    font-size: 30px;
    padding: 10px;
    border: 1px solid #fff;
    border-radius: 50%;
    margin-top: -25px;
    margin-bottom: 10px;
    background-color: #34495E;
}

.icon-section p {
    margin: 0px;
    font-size: 20px;
    padding-bottom: 10px;
}

.detail-section {
    background-color: #2F4254;
    padding: 5px 0px;
}

.dashbord .detail-section:hover {
    background-color: #5a5a5a;
    cursor: pointer;
}

.detail-section a {
    color: #fff;
    text-decoration: none;
}

.dashbord-green .icon-section, .dashbord-green .icon-section i {
    background-color: #16A085;
}

.dashbord-green .detail-section {
    background-color: #149077;
}

.dashbord-orange .icon-section, .dashbord-orange .icon-section i {
    background-color: #F39C12;
}

.dashbord-orange .detail-section {
    background-color: #DA8C10;
}

.dashbord-blue .icon-section, .dashbord-blue .icon-section i {
    background-color: #2980B9;
}

.dashbord-blue .detail-section {
    background-color: #2573A6;
}

.dashbord-red .icon-section, .dashbord-red .icon-section i {
    background-color: #E74C3C;
}

.dashbord-red .detail-section {
    background-color: #CF4436;
}

.dashbord-skyblue .icon-section, .dashbord-skyblue .icon-section i {
    background-color: #8E44AD;
}

.dashbord-skyblue .detail-section {
    background-color: #803D9B;
}
